Overview | Package | Class | Deprecated | Index | Help
| Groovy 1.7.10
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.groovy.ant
[Java] Class UberCompileTask

    java.lang.Object
      org.apache.tools.ant.ProjectComponent
          org.apache.tools.ant.Task
              org.codehaus.groovy.ant.UberCompileTask

    public class UberCompileTask
    extends Task

Compiles Java and Groovy source files. This works by invoking the GenerateStubsTask task, then the Javac task and then the GroovycTask. Each task can be configured by creating a nested element. Common configuration such as the source dir and classpath is picked up from this tasks configuration.

Authors:
  Jason Dillon

Version:
  \$Id: UberCompileTask.java 7820 2007-08-30 03:47:16Z user57 \$

Method Summary
`Path` | `createClasspath()`
`UberCompileTask.GenStubsAdapter` | `createGeneratestubs()`
`UberCompileTask.GroovycAdapter` | `createGroovyc()`
`UberCompileTask.JavacAdapter` | `createJavac()`
`Path` | `createSrc()`
`void` | `execute()`
`Path` | `getClasspath()`
`Path` | `getSrcdir()`
`void` | `setClasspath(Path path)`
`void` | `setClasspathRef(Reference r)`
`void` | `setDestdir(File dir)`
`void` | `setSrcdir(Path dir)`
`protected void` | `validate()`

Methods inherited from class Task
log, log, log, log, init, execute, perform, maybeConfigure, setTaskType, setTaskName, setOwningTarget, getTaskName, getOwningTarget, getRuntimeConfigurableWrapper, setRuntimeConfigurableWrapper, reconfigure, getTaskType, bindToOwner, clone, getLocation, getDescription, setLocation, getProject, setDescription, setProject, wait, wait, wait, equals, toString, hashCode, getClass, notify, notifyAll

Methods inherited from class ProjectComponent
clone, log, log, getLocation, getDescription, setLocation, getProject, setDescription, setProject, wait, wait, wait, equals, toString, hashCode, getClass, notify, notifyAll

Methods inherited from class Object
wait, wait, wait, equals, toString, hashCode, getClass, notify, notifyAll

Method Detail

### createClasspath

    public Path createClasspath()

### createGeneratestubs

    public UberCompileTask.GenStubsAdapter createGeneratestubs()

### createGroovyc

    public UberCompileTask.GroovycAdapter createGroovyc()

### createJavac

    public UberCompileTask.JavacAdapter createJavac()

### createSrc

    public Path createSrc()

### execute

    public void execute()

### getClasspath

    public Path getClasspath()

### getSrcdir

    public Path getSrcdir()

### setClasspath

    public void setClasspath(Path path)

### setClasspathRef

    public void setClasspathRef(Reference r)

### setDestdir

    public void setDestdir(File dir)

### setSrcdir

    public void setSrcdir(Path dir)

### validate

    protected void validate()

Copyright © 2003-2010 The Codehaus. All rights reserved.